from setuptools import setup, find_packages

setup(
    name='pyrit-library',
    version='0.1.3',
    packages=find_packages(),
    package_data={
        '': [
            'prompt_chat_target/*',
            'datasets/*/*.yaml',
            'datasets/*/*/*.yaml',
            ],
    },
    install_requires=[
        'aioconsole==0.8.1',
        'annotated-types==0.7.0',
        'anyio==4.7.0',
        'appdirs==1.4.4',
        'argon2-cffi==23.1.0',
        'argon2-cffi-bindings==21.2.0',
        'arrow==1.3.0',
        'art==6.1',
        'asttokens==3.0.0',
        'async-lru==2.0.4',
        'attrs==24.3.0',
        'azure-ai-contentsafety==1.0.0',
        'azure-ai-ml==1.13.0',
        'azure-cognitiveservices-speech==1.41.1',
        'azure-common==1.1.28',
        'azure-core==1.32.0',
        'azure-identity==1.19.0',
        'azure-mgmt-core==1.5.0',
        'azure-storage-blob==12.24.0',
        'azure-storage-file-datalake==12.18.0',
        'azure-storage-file-share==12.20.0',
        'babel==2.16.0',
        'beautifulsoup4==4.12.3',
        'bleach==6.2.0',
        'cachetools==5.5.0',
        'certifi==2024.12.14',
        'cffi==1.17.1',
        'charset-normalizer==3.4.0',
        'colorama==0.4.6',
        'coloredlogs==15.0.1',
        'comm==0.2.2',
        'confusables==1.2.0',
        'cryptography==44.0.0',
        'debugpy==1.8.11',
        'decorator==5.1.1',
        'defusedxml==0.7.1',
        'distro==1.9.0',
        'duckdb==0.10.0',
        'duckdb_engine==0.11.2',
        'executing==2.1.0',
        'fastjsonschema==2.21.1',
        'filelock==3.16.1',
        'flatbuffers==24.3.25',
        'fqdn==1.5.1',
        'fsspec==2024.10.0',
        'google-api-core==2.24.0',
        'google-auth==2.37.0',
        'googleapis-common-protos==1.66.0',
        'greenlet==3.1.1',
        'h11==0.14.0',
        'httpcore==1.0.7',
        'httpx==0.28.1',
        'huggingface-hub==0.27.0',
        'humanfriendly==10.0',
        'idna==3.10',
        'ipykernel==6.29.5',
        'ipython==8.30.0',
        'ipywidgets==8.1.5',
        'isodate==0.7.2',
        'isoduration==20.11.0',
        'jedi==0.19.2',
        'Jinja2==3.1.4',
        'jiter==0.8.2',
        'joblib==1.4.2',
        'json5==0.10.0',
        'jsonpickle==4.0.1',
        'jsonpointer==3.0.0',
        'jsonschema==4.23.0',
        'jsonschema-specifications==2024.10.1',
        'jupyter==1.1.1',
        'jupyter-console==6.6.3',
        'jupyter-events==0.11.0',
        'jupyter-lsp==2.2.5',
        'jupyter_client==8.6.3',
        'jupyter_core==5.7.2',
        'jupyter_server==2.14.2',
        'jupyter_server_terminals==0.5.3',
        'jupyterlab==4.3.3',
        'jupyterlab_pygments==0.3.0',
        'jupyterlab_server==2.27.3',
        'jupyterlab_widgets==3.0.13',
        'logzero==1.7.0',
        'MarkupSafe==3.0.2',
        'marshmallow==3.23.1',
        'matplotlib-inline==0.1.7',
        'mistune==3.0.2',
        'mpmath==1.3.0',
        'msal==1.31.1',
        'msal-extensions==1.2.0',
        'msrest==0.7.1',
        'mypy==1.13.0',
        'mypy-extensions==1.0.0',
        'nbclient==0.10.1',
        'nbconvert==7.16.4',
        'nbformat==5.10.4',
        'nest-asyncio==1.6.0',
        'notebook==7.3.1',
        'notebook_shim==0.2.4',
        'numpy==2.2.0',
        'oauthlib==3.2.2',
        'onnx==1.17.0',
        'onnxruntime==1.20.1',
        'openai==1.58.1',
        'opencensus==0.11.4',
        'opencensus-context==0.1.3',
        'opencensus-ext-azure==1.1.13',
        'overrides==7.7.0',
        'packaging==24.2',
        'pandocfilters==1.5.1',
        'parso==0.8.4',
        'pillow==11.0.0',
        'platformdirs==4.3.6',
        'portalocker==2.10.1',
        'prometheus_client==0.21.1',
        'prompt_toolkit==3.0.48',
        'proto-plus==1.25.0',
        'protobuf==5.29.1',
        'psutil==6.1.0',
        'pure_eval==0.2.3',
        'pyasn1==0.6.1',
        'pyasn1_modules==0.4.1',
        'pycountry==24.6.1',
        'pycparser==2.22',
        'pydantic==2.10.3',
        'pydantic_core==2.27.1',
        'pydash==7.0.5',
        'Pygments==2.18.0',
        'PyJWT==2.10.1',
        'pyodbc==5.2.0',
        'pyreadline3==3.5.4',
        # 'pyrit==0.4.0',
        'python-dateutil==2.9.0.post0',
        'python-dotenv==1.0.1',
        'python-json-logger==3.2.1',
        'pywin32',
        'pywinpty==2.0.14',
        'PyYAML==6.0.2',
        'pyzmq==26.2.0',
        'referencing==0.35.1',
        'regex==2024.11.6',
        'requests==2.32.3',
        'requests-oauthlib==2.0.0',
        'rfc3339-validator==0.1.4',
        'rfc3986-validator==0.1.1',
        'rpds-py==0.22.3',
        'rsa==4.9',
        'safetensors==0.4.5',
        'scikit-learn==1.6.0',
        'scipy==1.14.1',
        'Send2Trash==1.8.3',
        'six==1.17.0',
        'sniffio==1.3.1',
        'soupsieve==2.6',
        'SQLAlchemy==2.0.28',
        'sqlalchemy-stubs==0.4',
        'stack-data==0.6.3',
        'strictyaml==1.7.3',
        'sympy==1.13.3',
        'tenacity==9.0.0',
        'termcolor==2.5.0',
        'terminado==0.18.1',
        'threadpoolctl==3.5.0',
        'tinycss2==1.4.0',
        'tokenizers==0.21.0',
        'tornado==6.4.2',
        'tqdm==4.67.1',
        'traitlets==5.14.3',
        'transformers==4.47.1',
        'treelib==1.7.0',
        'types-python-dateutil==2.9.0.20241206',
        'types-requests==2.32.0.20241016',
        'typing_extensions==4.12.2',
        'uri-template==1.3.0',
        'urllib3==2.2.3',
        'wcwidth==0.2.13',
        'webcolors==24.11.1',
        'webencodings==0.5.1',
        'websocket-client==1.8.0',
        'widgetsnbextension==4.0.13',
    ],
)